clear all; clc; clf

%% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                        %
%       Paramtres  modifier (valables pour l'ensemble du graphique)    %
%                                                                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Type            = 'TwoColumnsArticle';                  % Choisir 'Powerpoint'   ou bien 'TwoColumnsArticle'    ou bien 'Manuscript'

DataFile        = 'Data.m';                             % Script matlab contenant les donnes numriques  afficher
%Donnees        = xlsread('Calcul.xlsm',1,'A2:B12');    % Le deuxime argument est le numro de feuille dans le classeur Excel 

NomDeSauvegarde = 'distriexpo4';          				% Ne pas indiquer d'extension 
Extensions      = {'pdf'};                              % Une ou plusieurs extensions des fichiers qui seront gnrs {'pdf';'png';'meta';'eps';'epsc'}     
Resolution      = 300;                                  % Unit = dpi   . Utiliser '0' pour la rsolution d'cran
Ouvre_pdf       = 'non';                                % Choisir 'oui' ou 'non' selon que l'on veut ouvrir le pdf  la fin

Axe_X_Titre     = 'Log (Rc-R)';                         % Exemple 'R' ou bien '$\lambda$
Axe_X_Echelle   = 'lin';                                % Choisir 'lin' ou bien 'log' 
Axe_X_Mini      = -1;
Axe_X_Maxi      = 1;
Axe_X_Chiffres  = [-1 -0.5 0 0.5 1 ];

Axe_Y_Titre     = 'T*';                                 % Exemple 'R' ou bien '$\lambda$
Axe_Y_Echelle   = 'log';                                % Choisir 'lin' ou bien 'log'
Axe_Y_Mini      = 1e0;
Axe_Y_Maxi      = 1e8;
Axe_Y_Chiffres  = [1e0 1e2 1e4 1e6 1e8];
	
Legende_Affiche = 'on';                                 % Choisir 'on' ou 'off'
Legende_Cadre   = 'on';                                 % Choisir 'on' ou 'off'
Legende_Lieu    = 'NorthEast';                          % Choisir parmi 'Best' 'EastOutside' 'South' NorthWest' ...
                     
AAjusteFigure;                                       % Ne pas modifier

%% %%%%%%%%%%%%%%%%%%%%%%%%
%       Courbe n1        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%

VecteurX                = d4;                   % Abscisses (nom du vecteur  adapter en fonction du contenu du fichier de donnes)
VecteurY                = y3;                   % Ordonnes (nom du vecteur  adapter en fonction du contenu du fichier de donnes)
NomDansLegende          = '0.73 dm^3/min';      % Nom de la courbe qui figurera dans la lgende. Exemple : '3\lambda$

Ligne_Style             = 'none';               % Choisir parmi 'none'  ':'   '--'  ou bien 
Ligne_Couleur           = 'b';                  % Choisir parmi 'k','b','r','g','m','c','w' ou bien [0 0.498039215803146 0]

Marqueur_Style          = 'o';                  % Choisir parmi 'o','s','d','^','v','<','>','h'
Marqueur_CouleurFace    = 'none';               % Choisir parmi 'k','b','r','g','m','c','w' ou bien [0 0.498039215803146 0]
Marqueur_CouleurContour = 'b';                  % Choisir parmi 'k','b','r','g','m','c','w' ou bien [0 0.498039215803146 0]

AAjouteCourbe;                                  % Ajoute cette courbe avec la fonction 'plot'

%% %%%%%%%%%%%%%%%%%%%%%%%%
%       Courbe n2        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%

NomDansLegende = '2.93 dm^3/min';               % Nom de la courbe qui figurera dans la lgende. Exemple : '3\lambda$
VecteurX = d5;                                  % Abscisses (nom du vecteur  adapter en fonction du contenu du fichier de donnes)
VecteurY = y4;                                  % Ordonnes (nom du vecteur  adapter en fonction du contenu du fichier de donnes)

Ligne_Style             = 'none';               % Choisir parmi 'none'  ':'   '--'  ou bien 
Ligne_Couleur           = [0 0.5 0];                  % Choisir parmi 'k','b','r','g','m','c','w' ou bien [0 0.498039215803146 0]

Marqueur_Style          = 's';                  % Choisir parmi 'o','s','d','^','v','<','>','h'
Marqueur_CouleurFace    = 'none';               % Choisir parmi 'k','b','r','g','m','c','w' ou bien [0 0.498039215803146 0]
Marqueur_CouleurContour = [0 0.5 0];                  % Choisir parmi 'k','b','r','g','m','c','w' ou bien [0 0.498039215803146 0]

AAjouteCourbe;                                  % Ajoute cette courbe avec la fonction 'plot'


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

AAfficheEtSauvegarde;





