% Ne pas modifier ces dimensions. La taille du graphique sera diminue par
% \includegraphics[\width=0.45\textwidth]{....} dans LaTeX


Fig1 = figure(1);                                 % Numro de figure
run(DataFile);              

Legende = cell(0);                                % Initialisation

if isempty(strfind(Axe_X_Titre,'$'))
    InterpreteurX   = 'none';                     % Choisir 'none' en standard ou bien 'latex' si formule telle que '$\varepsilon$'
else
    InterpreteurX   = 'latex';                    % Choisir 'none' en standard ou bien 'latex' si formule telle que '$\varepsilon$'
end

if isempty(strfind(Axe_Y_Titre,'$'))
    InterpreteurY   = 'none';                     % Choisir 'none' en standard ou bien 'latex' si formule telle que '$\varepsilon$'
else
    InterpreteurY   = 'latex';                    % Choisir 'none' en standard ou bien 'latex' si formule telle que '$\varepsilon$'
end
 
switch Type
    case 'TwoColumnsArticle'
        Facteur = 2.3;
        Taille_Police_Labels = Facteur*11;
        Taille_Police_Chiffres = Facteur*8;
        Taille_Police_Legende = Facteur*8; 
        EpaisseurLigneAxes = Facteur*1;          % Epaisseur du trait des axes et de la boite de lgende
        Ligne_Epaisseur = Facteur*1;              % Epaisseur de ligne (1.0 pour article et 1.4 pour powerpoint) (et contour de marqueur ?)
        Marqueur_Taille= Facteur*4.5;             % Taille du marqueur
        Nom_Police = 'Helvetica';                % 'Helvetica'  'Arial'   'Times New Roman'   'Times'
        Largeur = 20;                            % Largeur en [cm] du document PDF (7-8 cm pour une colonne d'article; 16 pour une pleine largeur en A4)
        Hauteur = 0.75*Largeur;                  % Hauteur en [cm] du document PDF
    case 'PowerPoint'
        
    case 'Manuscript'
        
    case 'Poster'
              
end